package lib::Debug;

my %level = ();

sub level {
    my $myclass = shift;
    my ($pkg, $filename, $line, $subr, $has_args, $wantarray) = caller(0);

    $level{$filename} = shift;
}

sub print {
    my $myclass = shift;
    my @args = @_;
    my ($pkg, $filename, $line, $subr, $has_args, $wantarray) = caller(0);

    return unless $level{$filename};

    $subr = (caller(1))[3];
    print "> $subr: ", join(" ", @args), "\n";
}

1;

# end
