package lib::NNTP;

use Net::NNTP;
use lib::Debug;

require Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(newNNTP);

my $to = 30;

sub newNNTP {
    my $host = shift;
    my %opt = @_;
    lib::Debug->print(1, $host, @_);
    my $nntp = new Net::NNTP($host, Port => $opt{port}, Timeout => $to);
    lib::Debug->print(2, $host, @_);

    sleep 1, $nntp = new Net::NNTP($host, Port => $opt{port}, Timeout => $to)
	unless $nntp;
    lib::Debug->print(3, $host, @_);
    return $nntp unless $nntp;
    lib::Debug->print(4, $host, @_);

    $nntp->authinfo($opt{user}, $opt{pass}) if $opt{user};

    return $nntp;
}

1;

# end
